Eclipse GEF 3.2

## org.eclipse.gef
Interface LayerConstants

All Known Implementing Classes:
  AbstractConnectionEditPart, FreeformGraphicalRootEditPart, GraphicalRootEditPart, ScalableRootEditPart

public interface LayerConstants

The constants used to identify typical layers in a graphical application.

Field Summary
`static String` `CONNECTION_LAYER` Identifies the layer containing connections, which typically appear on top of anything in the primary layer.
`static String` `FEEDBACK_LAYER` The layer containing feedback, which are generally temporary visuals that appear on top of all other visuals.
`static String` `GRID_LAYER` Identifies the layer where the grid is painted.
`static String` `GUIDE_LAYER` Identifies the layer where Guides add feedback to the primary viewer.
`static String` `HANDLE_LAYER` Identifies the layer containing handles, which are typically editing decorations that appear on top of any model representations.
`static String` `PRIMARY_LAYER` Identifies the layer containing the primary pieces of the application.
`static String` `PRINTABLE_LAYERS` The layer that contains all printable layers.
`static String` `SCALABLE_LAYERS` The layer that contains all scaled layers.
`static String` `SCALED_FEEDBACK_LAYER` The layer containing scaled feedback.

Field Detail

### PRIMARY_LAYER

    public static final String PRIMARY_LAYER

  Identifies the layer containing the primary pieces of the application.

  See Also:
    Constant Field Values

### CONNECTION_LAYER

    public static final String CONNECTION_LAYER

  Identifies the layer containing connections, which typically appear on top of anything in the primary layer.

  See Also:
    Constant Field Values

### GRID_LAYER

    public static final String GRID_LAYER

  Identifies the layer where the grid is painted.

  See Also:
    Constant Field Values

### GUIDE_LAYER

    public static final String GUIDE_LAYER

  Identifies the layer where Guides add feedback to the primary viewer.

  See Also:
    Constant Field Values

### HANDLE_LAYER

    public static final String HANDLE_LAYER

  Identifies the layer containing handles, which are typically editing decorations that appear on top of any model representations.

  See Also:
    Constant Field Values

### FEEDBACK_LAYER

    public static final String FEEDBACK_LAYER

  The layer containing feedback, which are generally temporary visuals that appear on top of all other visuals.

  See Also:
    Constant Field Values

### SCALED_FEEDBACK_LAYER

    public static final String SCALED_FEEDBACK_LAYER

  The layer containing scaled feedback.

  See Also:
    Constant Field Values

### PRINTABLE_LAYERS

    public static final String PRINTABLE_LAYERS

  The layer that contains all printable layers.

  See Also:
    Constant Field Values

### SCALABLE_LAYERS

    public static final String SCALABLE_LAYERS

  The layer that contains all scaled layers.

  See Also:
    Constant Field Values

Eclipse GEF 3.2

Copyright (c) IBM Corp. and others 2000, 2006. All Rights Reserved.